---
title: "0.11.0 - Unity SDK, Better Packing, and More"
linkTitle: "0.11.0"
date: 2019-06-24
---

More awesome things in this release! Massive thanks to the community for working on Agones 👏

- Unity SDK!
- Better packing on `GameServerAllocation` without a drop in performance.
- Being able to use the same container port as the externally exposed port
- and much more!

Check the <a href="https://github.com/googleforgames/agones/tree/release-0.11.0" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Move FleetAutoscaling to autoscaling.agones.dev group [\#829](https://github.com/googleforgames/agones/pull/829) ([markmandel](https://github.com/markmandel))
- Fixing SDK proto file according to style guide [\#776](https://github.com/googleforgames/agones/pull/776) ([aLekSer](https://github.com/aLekSer))

**Implemented enhancements:**

- Add Events for common errors with Webhook FleetAutoscaler configuration [\#792](https://github.com/googleforgames/agones/issues/792)
- Self allocation in Node.js is not supported [\#773](https://github.com/googleforgames/agones/issues/773)
- In case of dynamic port allocation, offer the option to set the container port to the same value as the host port [\#294](https://github.com/googleforgames/agones/issues/294)
- Implement EnqueueAfter on WorkerQueue [\#835](https://github.com/googleforgames/agones/pull/835) ([markmandel](https://github.com/markmandel))
- Changed AllocationEndpoint to array of endpoints [\#830](https://github.com/googleforgames/agones/pull/830) ([pooneh-m](https://github.com/pooneh-m))
- fix: check if NodeExternalIP is empty to fallback to NodeInternalIP [\#828](https://github.com/googleforgames/agones/pull/828) ([aarnaud](https://github.com/aarnaud))
- Rewrite Agones Overview [\#824](https://github.com/googleforgames/agones/pull/824) ([markmandel](https://github.com/markmandel))
- Add Unity SDK [\#818](https://github.com/googleforgames/agones/pull/818) ([whisper0077](https://github.com/whisper0077))
- PortPolicy of Passthrough - Same Port for Container and Host [\#817](https://github.com/googleforgames/agones/pull/817) ([markmandel](https://github.com/markmandel))
- Add Fleet RollingUpdate strategy params validation [\#808](https://github.com/googleforgames/agones/pull/808) ([aLekSer](https://github.com/aLekSer))
- Batched Packed and Distributed Allocations [\#804](https://github.com/googleforgames/agones/pull/804) ([markmandel](https://github.com/markmandel))
- Add Events on FleetAutoscaler connection errors [\#794](https://github.com/googleforgames/agones/pull/794) ([aLekSer](https://github.com/aLekSer))
- Expose allocate method in node sdk [\#774](https://github.com/googleforgames/agones/pull/774) ([rorygarand](https://github.com/rorygarand))
- Adding an allocator service that acts as a reverse proxy. [\#768](https://github.com/googleforgames/agones/pull/768) ([pooneh-m](https://github.com/pooneh-m))
- Add Reserved GameServer State [\#766](https://github.com/googleforgames/agones/pull/766) ([markmandel](https://github.com/markmandel))
- Add AKS, GKE and Helm terraform modules [\#756](https://github.com/googleforgames/agones/pull/756) ([aLekSer](https://github.com/aLekSer))
- Add close method to node client [\#748](https://github.com/googleforgames/agones/pull/748) ([BradfordMedeiros](https://github.com/BradfordMedeiros))

See <a href="https://github.com/googleforgames/agones/blob/release-0.11.0/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

This software is currently alpha, and subject to change. Not to be used in production systems.

Images available with this release:

- [gcr.io/agones-images/agones-controller:0.11.0](https://gcr.io/agones-images/agones-controller:0.11.0)
- [gcr.io/agones-images/agones-sdk:0.11.0](https://gcr.io/agones-images/agones-sdk:0.11.0)
- [gcr.io/agones-images/agones-ping:0.11.0](https://gcr.io/agones-images/agones-ping:0.11.0)
- [gcr.io/agones-images/cpp-simple-server:0.5](https://gcr.io/agones-images/cpp-simple-server:0.5)
- [gcr.io/agones-images/udp-server:0.11](https://gcr.io/agones-images/udp-server:0.11)
- [gcr.io/agones-images/xonotic-example:0.5](https://gcr.io/agones-images/xonotic-example:0.5)


Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-0.11.0.tgz" ><code>helm install agones/agones --version 0.11.0</code></a>

> Make sure to add our stable helm repository using `helm repo add https://agones.dev/chart/stable`


